/*
SMSObject.m - SMS Framework
Copyright (C) 2005, Tim Ellis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#import "SMSObject.h"

@implementation SMSObject

- (void) setSmscInfo:(NSDictionary*)dict { smscInfo = dict; }
- (void) setMessageAndHeader:(NSDictionary*)dict { messageAndHeader = dict; }
- (void) setFirstOctetInfo:(NSDictionary*)dict { firstOctetInfo = dict; }
- (void) setSenderInfo:(NSDictionary*)dict { senderInfo = dict; }
- (void) setTpDcsInfo:(NSDictionary*)dict { tpDcsInfo = dict; }
- (void) setMultipartInfo:(NSDictionary*)dict { multipartInfo = dict; }
- (void) setTimestamp:(NSDate*)date { timestamp = date; }
- (NSDictionary*) smscInfo { return smscInfo; }
- (NSDictionary*) messageAndHeader { return messageAndHeader; }
- (NSDictionary*) firstOctetInfo { return firstOctetInfo; }
- (NSDictionary*) senderInfo { return senderInfo; }
- (NSDictionary*) tpDcsInfo { return tpDcsInfo; }
- (NSDictionary*) multipartInfo { return multipartInfo; }
- (NSDate*) timestamp { return timestamp; }

@end
